Folks.FavouriteDetails – folks Reference Manual

# FavouriteDetails

## Object Hierarchy:

## Description:

public interface FavouriteDetails : Object

Favourite status for a contact.

This allows user-defined favourite contacts to be specified. A contact is a favourite if the user has selected them as such; the semantics of 'favourite' are left unspecified by folks. Typically, a user might select the contacts that they talk to most frequently as their favourite contacts in an instant messaging program, for example.

All known implementing classes:

- Individual

Namespace: Folks
Package: folks

## Content:

### Properties:

- public abstract bool is_favourite { get; set; }
  Whether this contact is a user-defined favourite.

### Methods:

- public virtual async void change_is_favourite (bool is_favourite) throws PropertyError
  Change whether the contact is a user-defined favourite.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref